/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package test.uinfo;

import java.io.File;

import org.dive4elements.artifacts.httpclient.exceptions.ConnectionException;
import org.dive4elements.river.client.shared.exceptions.ServerException;

import test.AbstractBerechnungsartenTester.River;

/**
 * @author Domenico Nardi Tironi
 *
 */
final class UinfoSalixRegionalRunner extends UinfoSalixRunner {

    private final double fromPart;
    private final double toPart;
    private final String dwspl;

    public UinfoSalixRegionalRunner(final File testFolder, final double from, final double to, final River river, final String scenarioChoice,
            final double fromPart, final double toPart, final String dwspl) throws ConnectionException, ServerException {
        super(testFolder, from, to, river, scenarioChoice);
        this.fromPart = fromPart;
        this.toPart = toPart;
        this.dwspl = dwspl;
    }

    @Override
    protected void makeScenario() throws ConnectionException, ServerException {
        super.feedAndGoSimpleTextInput("scenario_selection", this.getScenarioChoice());

        super.makeKmRange(this.fromPart, this.toPart, "ld_from_part", "ld_to_part");

        super.feedAndGoSimpleTextInput("sedimentheight", this.dwspl);

    }

}
